{
  "name": "data-manager-ui",
  "version": "0.1.0",
  "private": true,
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "lint": "vue-cli-service lint"
  },
  "dependencies": {
    "axios": "^0.19.0",
    "bwip-js": "^2.0.6",
    "leaflet": "^1.6.0",
    "vue": "^2.6.10",
    "vue-axios": "^2.1.5",
    "vue-qr-reader": "^1.6.2",
    "vue-router": "^3.1.3",
    "vue2-leaflet": "^2.2.1",
    "vuedraggable": "^2.23.2",
    "vuetify": "^1.5.21",
    "vuex": "^3.1.2"
  },
  "devDependencies": {
    "@babel/polyfill": "^7.7.0",
    "@vue/cli-plugin-babel": "^3.12.1",
    "@vue/cli-plugin-eslint": "^3.12.1",
    "@vue/cli-service": "^3.12.1",
    "babel-plugin-transform-imports": "^1.5.1",
    "stylus": "^0.54.7",
    "stylus-loader": "^3.0.1",
    "vue-cli-plugin-vuetify": "^0.1.6",
    "vue-template-compiler": "^2.6.10"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended"
    ],
    "rules": {
      "vue/attribute-hyphenation": [
        "error",
        "always"
      ],
      "vue/html-end-tags": "error",
      "vue/html-indent": [
        "error",
        2
      ],
      "vue/html-self-closing": "error",
      "vue/require-default-prop": "error",
      "vue/require-prop-types": "error",
      "vue/attributes-order": "error",
      "vue/html-quotes": [
        "error",
        "double"
      ],
      "vue/order-in-components": "error"
    },
    "parserOptions": {
      "parser": "babel-eslint"
    }
  },
  "postcss": {
    "plugins": {
      "autoprefixer": {}
    }
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ]
}
